import { ActionFormData, MessageFormData, ModalFormData } from "@minecraft/server-ui";

const ICONS = {
  check: "textures/ui_icons/check_128",
  x: "textures/ui_icons/x_128",
  gear: "textures/ui_icons/gear_128",
  toggle_on: "textures/ui_icons/toggle_on_128",
  toggle_off: "textures/ui_icons/toggle_off_128"
}

// Accepts an array of buttons with two values {name, icon, callback}
export function showActionFormButtonList(player, title, body, buttons, cancelButton = false) {
  let fm = new ActionFormData();
  if (title) fm.title(title);
  if (body) fm.body(body);


  buttons.forEach((b) => {
      fm.button(b.name, b.icon);
  });

  if (cancelButton) fm.button("Cancelar");

  fm.show(player).then(result => {
      if (result.selection < buttons.length) {
          buttons[result.selection].callback();
      }
  });
}

export function showAreYouSureMenu(player, title, body, yesCallback, noCallback = () => {}) {
  let fm = new ActionFormData();
  if (title != undefined) fm.title(title);
  if (body != undefined) fm.body(body);

  fm.button("Yes", ICONS.check);
  fm.button("No", ICONS.x);

  fm.show(player).then(result => {
    if (result.selection === 0) {
      yesCallback();
    } else if (result.selection === 1) {
      noCallback();
    }
});
}

